# Yahoo! UI Library

### dump 3.3.0

Yahoo! UI Library > dump > YUI~dump
Search:
Filters Show Private Show Protected Show Deprecated

## Class YUI~dump

The following methods are added to the YUI instance

### Methods

#### dump

`string dump ( o , d )`
Returns a simple string representation of the object or array. Other types of objects will be returned unprocessed. Arrays are expected to be indexed. Use object notation for associative arrays. This method is in the 'dump' module, which is not bundled with the core YUI object

Parameters:
  `o <object>` The object to dump.
  `d <int>` How deep to recurse child objects, default 3.

Returns: `string`
  the dump result.

Copyright © 2011 Yahoo! Inc. All rights reserved.